#
# spec file for package simple-core
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global debug_package %{nil}

Name:           simple-core
Version:        3.1.3
Release:        0.9.20.uyuni2
Summary:        Embeddable Java HTTP engine capable of handling large loads
Group:          Development/Libraries/Java
License:        LGPL-2.1+
Url:            http://www.simpleframework.org	
Source0:        simple-core-%{version}.tar.gz	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  java-devel => 1.7.0
BuildRequires:  ant
Requires:       java >= 1.7

%description
The core API consists of a simple.http package and various
sub-packages, it also contains various utilities. This is all that is
required to develop HTTP services.



%package javadoc
License:        LGPL-2.1+
Summary:        Embeddable Java HTTP engine capable of handling large loads
Group:          Development/Libraries/Java

%description javadoc
The core API consists of a simple.http package and various
sub-packages, it also contains various utilities. This is all that is
required to develop HTTP services.



%prep
%setup -q

%build
export JAVA_HOME=%{java_home}
%if 0%{?suse_version}
%ant -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7
%else
%ant
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

# jars and supporting kxml lib
install -m 644 jar/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/kxml.jar $RPM_BUILD_ROOT%{_javadir}/kxml.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/kxml.jar

%doc
%{_javadocdir}/*

%changelog
* Sat Nov 28 2020 stefan.bluhm@clacee.eu
- Enhanced for RHEL8
* Tue Oct 31 2017 jgonzalez@suse.com
- Fix build with java9
* Wed Jul  2 2014 mseidl@suse.de
- modified to build on sle12
* Wed Sep 25 2013 mc@suse.de
- BuildRequire java-devel
* Thu Dec  9 2010 mc@suse.de
- initial release
